--- ./SourceCode/cl_dll/r_studioint.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/r_studioint.h	Thu Aug 30 22:50:56 2001
@@ -1,7 +1,9 @@
 #if !defined( R_STUDIOINT_H )
 #define R_STUDIOINT_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_INTERFACE_VERSION 1
@@ -105,4 +107,4 @@
 
 extern r_studio_interface_t *pStudioAPI;
 
-#endif // R_STUDIOINT_H
\ No newline at end of file
+#endif // R_STUDIOINT_H
--- ./SourceCode/cl_dll/GameStudioModelRenderer.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/GameStudioModelRenderer.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/GameStudioModelRenderer_Sample.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined( GAMESTUDIOMODELRENDERER_H )
 #define GAMESTUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./SourceCode/cl_dll/StudioModelRenderer.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/StudioModelRenderer.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined ( STUDIOMODELRENDERER_H )
 #define STUDIOMODELRENDERER_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 /*
--- ./SourceCode/cl_dll/com_weapons.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/com_weapons.h	Thu Aug 30 22:51:54 2001
@@ -3,7 +3,9 @@
 #if !defined( COM_WEAPONSH )
 #define COM_WEAPONSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "hud_iface.h"
--- ./SourceCode/cl_dll/demo.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/demo.h	Thu Aug 30 23:03:43 2001
@@ -1,6 +1,10 @@
 #if !defined( DEMOH )
 #define DEMOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 // Types of demo messages we can write/parse
 enum
@@ -17,4 +21,4 @@
 extern float g_demosniperangles[3];
 extern float g_demozoom;
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/cl_dll/hud_iface.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/hud_iface.h	Thu Aug 30 23:04:29 2001
@@ -1,6 +1,10 @@
 #if !defined( HUD_IFACEH )
 #define HUD_IFACEH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define EXPORT		_declspec( dllexport )
 #define _DLLEXPORT __declspec( dllexport )
@@ -10,4 +14,4 @@
 #include "../engine/cdll_int.h"
 extern cl_enginefunc_t gEngfuncs;
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/cl_dll/hud_servers.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/hud_servers.h	Thu Aug 30 23:04:34 2001
@@ -1,6 +1,10 @@
 #if !defined( HUD_SERVERSH )
 #define HUD_SERVERSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define NET_CALLBACK /* */
 
@@ -31,4 +35,4 @@
 int	ServersIsQuerying( void );
 void SortServers( const char *fieldname );
 
-#endif // HUD_SERVERSH
\ No newline at end of file
+#endif // HUD_SERVERSH
--- ./SourceCode/cl_dll/hud_servers_priv.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/hud_servers_priv.h	Thu Aug 30 23:04:45 2001
@@ -1,6 +1,10 @@
 #if !defined( HUD_SERVERS_PRIVH )
 #define HUD_SERVERS_PRIVH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "netadr.h"
 
@@ -88,4 +92,4 @@
 	request_t			*m_pPlayersRequest;
 };
 
-#endif // HUD_SERVERS_PRIVH
\ No newline at end of file
+#endif // HUD_SERVERS_PRIVH
--- ./SourceCode/cl_dll/in_defs.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/in_defs.h	Thu Aug 30 23:05:17 2001
@@ -1,6 +1,10 @@
 #if !defined( IN_DEFSH )
 #define IN_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 // up / down
 #define	PITCH	0
@@ -11,4 +15,4 @@
 
 #define DLLEXPORT __declspec( dllexport )
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/cl_dll/kbutton.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/kbutton.h	Thu Aug 30 23:05:23 2001
@@ -1,6 +1,10 @@
 #if !defined( KBUTTONH )
 #define KBUTTONH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 typedef struct kbutton_s
 {
@@ -8,4 +12,4 @@
 	int		state;			// low bit is down state
 } kbutton_t;
 
-#endif // !KBUTTONH
\ No newline at end of file
+#endif // !KBUTTONH
--- ./SourceCode/cl_dll/studio_util.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/studio_util.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined( STUDIO_UTIL_H )
 #define STUDIO_UTIL_H
 #if defined( WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #ifndef M_PI
--- ./SourceCode/cl_dll/view.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/cl_dll/view.h	Thu Aug 30 22:51:54 2001
@@ -1,6 +1,8 @@
 #if !defined ( VIEWH )
 #define VIEWH 
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 
 void V_StartPitchDrift( void );
 void V_StopPitchDrift( void );
--- ./SourceCode/cl_dll/hud_spectator.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/hud_spectator.h	Thu Aug 30 23:05:09 2001
@@ -7,7 +7,11 @@
 
 #ifndef SPECTATOR_H
 #define SPECTATOR_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "cl_entity.h"
 
--- ./SourceCode/cl_dll/overview.h.orig	Wed Aug 29 01:05:14 2001
+++ ./SourceCode/cl_dll/overview.h	Thu Aug 30 23:13:55 2001
@@ -7,7 +7,11 @@
 
 #ifndef OVERVIEW_H
 #define OVERVIEW_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 //-----------------------------------------------------------------------------
--- ./SourceCode/common/beamdef.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/beamdef.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined ( BEAMDEFH )
 #define BEAMDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define FBEAM_STARTENTITY		0x00000001
--- ./SourceCode/common/cl_entity.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/cl_entity.h	Thu Aug 30 22:49:32 2001
@@ -16,7 +16,9 @@
 #if !defined( CL_ENTITYH )
 #define CL_ENTITYH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct efrag_s
--- ./SourceCode/common/com_model.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/com_model.h	Thu Aug 30 22:49:32 2001
@@ -2,7 +2,9 @@
 #if !defined( COM_MODEL_H )
 #define COM_MODEL_H
 #if defined( _WIN32 )
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define STUDIO_RENDER 1
--- ./SourceCode/common/con_nprint.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/con_nprint.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( CON_NPRINTH )
 #define CON_NPRINTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct con_nprint_s
--- ./SourceCode/common/crc.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/crc.h	Thu Aug 30 22:49:32 2001
@@ -16,7 +16,9 @@
 #ifndef CRC_H
 #define CRC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // MD5 Hash
--- ./SourceCode/common/demo_api.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/demo_api.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined ( DEMO_APIH )
 #define DEMO_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct demo_api_s
--- ./SourceCode/common/dlight.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/dlight.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined ( DLIGHTH )
 #define DLIGHTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
--- ./SourceCode/common/engine_launcher_api.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/engine_launcher_api.h	Thu Aug 30 22:49:32 2001
@@ -2,7 +2,9 @@
 #if !defined( ENGINE_LAUNCHER_APIH )
 #define ENGINE_LAUNCHER_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //typedef void ( *xcommand_t ) ( void );
--- ./SourceCode/common/entity_state.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/entity_state.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( ENTITY_STATEH )
 #define ENTITY_STATEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // For entityType below
--- ./SourceCode/common/event_api.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/event_api.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined ( EVENT_APIH )
 #define EVENT_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define EVENT_API_VERSION 1
--- ./SourceCode/common/event_args.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/event_args.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_ARGSH )
 #define EVENT_ARGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Event was invoked with stated origin
--- ./SourceCode/common/event_flags.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/event_flags.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( EVENT_FLAGSH )
 #define EVENT_FLAGSH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Skip local host for event send.
--- ./SourceCode/common/in_buttons.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/in_buttons.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #ifndef IN_BUTTONS_H
 #define IN_BUTTONS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #define IN_ATTACK	(1 << 0)
--- ./SourceCode/common/net_api.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/net_api.h	Thu Aug 30 22:49:32 2001
@@ -1,7 +1,9 @@
 #if !defined( NET_APIH )
 #define NET_APIH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #if !defined ( NETADRH )
@@ -89,4 +91,4 @@
 
 extern net_api_t netapi;
 
-#endif // NET_APIH
\ No newline at end of file
+#endif // NET_APIH
--- ./SourceCode/common/netadr.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/netadr.h	Thu Aug 30 22:49:32 2001
@@ -16,7 +16,9 @@
 #ifndef NETADR_H
 #define NETADR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum
--- ./SourceCode/common/particledef.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/particledef.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( PARTICLEDEFH )
 #define PARTICLEDEFH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef enum {
--- ./SourceCode/common/pmtrace.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/pmtrace.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( PMTRACEH )
 #define PMTRACEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
--- ./SourceCode/common/qfont.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/qfont.h	Thu Aug 30 22:49:32 2001
@@ -15,7 +15,9 @@
 #if !defined( QFONTH )
 #define QFONTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Font stuff
--- ./SourceCode/common/r_efx.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/r_efx.h	Thu Aug 30 23:06:50 2001
@@ -15,7 +15,9 @@
 #if !defined ( R_EFXH )
 #define R_EFXH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // particle_t
--- ./SourceCode/common/screenfade.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/screenfade.h	Thu Aug 30 22:50:56 2001
@@ -1,7 +1,9 @@
 #if !defined( SCREENFADEH )
 #define SCREENFADEH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct screenfade_s
--- ./SourceCode/common/studio_event.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/studio_event.h	Thu Aug 30 22:50:56 2001
@@ -15,7 +15,9 @@
 #if !defined( STUDIO_EVENTH )
 #define STUDIO_EVENTH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct mstudioevent_s
--- ./SourceCode/common/triangleapi.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/triangleapi.h	Thu Aug 30 23:07:01 2001
@@ -14,7 +14,11 @@
 ****/
 #if !defined( TRIANGLEAPIH )
 #define TRIANGLEAPIH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 typedef enum 
 {
--- ./SourceCode/common/usercmd.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/usercmd.h	Thu Aug 30 22:50:56 2001
@@ -15,7 +15,9 @@
 #ifndef USERCMD_H
 #define USERCMD_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct usercmd_s
--- ./SourceCode/common/weaponinfo.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/weaponinfo.h	Thu Aug 30 22:50:56 2001
@@ -15,7 +15,9 @@
 #if !defined ( WEAPONINFOH )
 #define WEAPONINFOH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // Info about weapons player might have in his/her possession
--- ./SourceCode/common/itrackeruser.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/itrackeruser.h	Thu Aug 30 23:06:31 2001
@@ -8,7 +8,9 @@
 #ifndef ITRACKERUSER_H
 #define ITRACKERUSER_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "interface.h"
--- ./SourceCode/common/ivoicetweak.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/common/ivoicetweak.h	Thu Aug 30 23:06:29 2001
@@ -8,7 +8,9 @@
 #ifndef IVOICETWEAK_H
 #define IVOICETWEAK_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 // These provide access to the voice controls.
--- ./SourceCode/dedicated/md5.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/dedicated/md5.h	Thu Aug 30 23:07:07 2001
@@ -1,7 +1,11 @@
 #if !defined( MD5H )
 #define MD5H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 int MD5_Hash_File(unsigned char digest[16], char *pszFileName );
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/dedicated/sys_ded.h.orig	Wed Aug 29 01:05:16 2001
+++ ./SourceCode/dedicated/sys_ded.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined( SYS_DEDH )
 #define SYS_DEDH
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 long Sys_LoadLibrary( char *lib );
--- ./SourceCode/dlls/enginecallback.h.orig	Wed Aug 29 01:05:20 2001
+++ ./SourceCode/dlls/enginecallback.h	Thu Aug 30 23:07:21 2001
@@ -14,7 +14,11 @@
 ****/
 #ifndef ENGINECALLBACK_H
 #define ENGINECALLBACK_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #include "event_flags.h"
 
@@ -155,4 +159,4 @@
 
 #define PLAYER_CNX_STATS		( *g_engfuncs.pfnGetPlayerStats )
 
-#endif		//ENGINECALLBACK_H
\ No newline at end of file
+#endif		//ENGINECALLBACK_H
--- ./SourceCode/dlls/weapons.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/dlls/weapons.h	Thu Aug 30 22:51:54 2001
@@ -445,7 +445,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
--- ./SourceCode/dlls/cbase.h.orig	Wed Aug 29 01:05:18 2001
+++ ./SourceCode/dlls/cbase.h	Thu Aug 30 22:51:54 2001
@@ -186,7 +186,7 @@
 	virtual void	SetToggleState( int state ) {}
 	virtual void    StartSneaking( void ) {}
 	virtual void    StopSneaking( void ) {}
-	virtual BOOL	OnControls( entvars_t *pev ) { return FALSE; }
+	virtual BOOL	OnControls( entvars_t *onpev ) { return FALSE; }
 	virtual BOOL    IsSneaking( void ) { return FALSE; }
 	virtual BOOL	IsAlive( void ) { return (pev->deadflag == DEAD_NO) && pev->health > 0; }
 	virtual BOOL	IsBSPModel( void ) { return pev->solid == SOLID_BSP || pev->movetype == MOVETYPE_PUSHSTEP; }
@@ -217,13 +217,13 @@
 	virtual void Blocked( CBaseEntity *pOther ) { if (m_pfnBlocked) (this->*m_pfnBlocked)( pOther ); };
 
 	// allow engine to allocate instance data
-    void *operator new( size_t stAllocateBlock, entvars_t *pev )
+    void *operator new( size_t stAllocateBlock, entvars_t *newpev )
 	{
-		return (void *)ALLOC_PRIVATE(ENT(pev), stAllocateBlock);
+		return (void *)ALLOC_PRIVATE(ENT(newpev), stAllocateBlock);
 	};
 
 	// don't use this.
-#if _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
+#if defined(_MSC_VER) && _MSC_VER >= 1200 // only build this code if MSVC++ 6.0 or higher
 	void operator delete(void *pMem, entvars_t *pev)
 	{
 		pev->flags |= FL_KILLME;
@@ -259,8 +259,8 @@
 		return pEnt; 
 	}
 
-	static CBaseEntity *Instance( entvars_t *pev ) { return Instance( ENT( pev ) ); }
-	static CBaseEntity *Instance( int eoffset) { return Instance( ENT( eoffset) ); }
+	static CBaseEntity *Instance( entvars_t *instpev ) { return Instance( ENT( instpev ) ); }
+	static CBaseEntity *Instance( int inst_eoffset) { return Instance( ENT( inst_eoffset) ); }
 
 	CBaseMonster *GetMonsterPointer( entvars_t *pevMonster ) 
 	{ 
--- ./SourceCode/dlls/vector.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/dlls/vector.h	Thu Aug 30 23:19:52 2001
@@ -22,8 +22,8 @@
 class Vector2D
 {
 public:
-	inline Vector2D(void)									{ }
-	inline Vector2D(float X, float Y)						{ x = X; y = Y; }
+	inline Vector2D(void): x(0.0), y(0.0)							{ }
+	inline Vector2D(float X, float Y): x(0.0), y(0.0)				{ x = X; y = Y; }
 	inline Vector2D operator+(const Vector2D& v)	const	{ return Vector2D(x+v.x, y+v.y);	}
 	inline Vector2D operator-(const Vector2D& v)	const	{ return Vector2D(x-v.x, y-v.y);	}
 	inline Vector2D operator*(float fl)				const	{ return Vector2D(x*fl, y*fl);	}
@@ -33,7 +33,7 @@
 
 	inline Vector2D Normalize ( void ) const
 	{
-		Vector2D vec2;
+		// Vector2D vec2;
 
 		float flLen = Length();
 		if ( flLen == 0 )
@@ -60,12 +60,12 @@
 {								//		which is a vec_t[3]
 public:
 	// Construction/destruction
-	inline Vector(void)								{ }
-	inline Vector(float X, float Y, float Z)		{ x = X; y = Y; z = Z;						}
+	inline Vector(void): x(0.0), y(0.0), z(0.0)					{ }
+	inline Vector(float X, float Y, float Z): x(0.0), y(0.0), z(0.0)	{ x = X; y = Y; z = Z;				}
 	//inline Vector(double X, double Y, double Z)		{ x = (float)X; y = (float)Y; z = (float)Z;	}
 	//inline Vector(int X, int Y, int Z)				{ x = (float)X; y = (float)Y; z = (float)Z;	}
-	inline Vector(const Vector& v)					{ x = v.x; y = v.y; z = v.z;				} 
-	inline Vector(float rgfl[3])					{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
+	inline Vector(const Vector& v): x(0.0), y(0.0), z(0.0)		{ x = v.x; y = v.y; z = v.z;				} 
+	inline Vector(float rgfl[3]): x(0.0), y(0.0), z(0.0)		{ x = rgfl[0]; y = rgfl[1]; z = rgfl[2];	}
 
 	// Operators
 	inline Vector operator-(void) const				{ return Vector(-x,-y,-z);				}
@@ -109,4 +109,4 @@
 
 
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/dlls/cdll_dll.h.orig	Wed Aug 29 01:05:18 2001
+++ ./SourceCode/dlls/cdll_dll.h	Thu Aug 30 22:51:54 2001
@@ -43,4 +43,4 @@
 
 #define WEAPON_SUIT			31
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/dlls/spectator.h.orig	Wed Aug 29 01:05:22 2001
+++ ./SourceCode/dlls/spectator.h	Thu Aug 30 22:51:54 2001
@@ -24,4 +24,4 @@
 
 private:
 	void SpectatorImpulseCommand(void);
-};
\ No newline at end of file
+};
--- ./SourceCode/dlls/util.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/dlls/util.h	Thu Aug 30 22:51:54 2001
@@ -107,7 +107,7 @@
 inline EOFFSET OFFSET(EOFFSET eoffset)			{ return eoffset; }
 inline EOFFSET OFFSET(const edict_t *pent)	
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pent )
 		ALERT( at_error, "Bad ent in OFFSET()\n" );
 #endif
@@ -115,7 +115,7 @@
 }
 inline EOFFSET OFFSET(entvars_t *pev)				
 { 
-#if _DEBUG
+#ifdef _DEBUG
 	if ( !pev )
 		ALERT( at_error, "Bad pev in OFFSET()\n" );
 #endif
--- ./SourceCode/dlls/saverestore.h.orig	Wed Aug 29 01:05:22 2001
+++ ./SourceCode/dlls/saverestore.h	Thu Aug 30 22:59:01 2001
@@ -23,7 +23,7 @@
 public:
 	CSaveRestoreBuffer( void );
 	CSaveRestoreBuffer( SAVERESTOREDATA *pdata );
-	~CSaveRestoreBuffer( void );
+	virtual ~CSaveRestoreBuffer( void );
 
 	int			EntityIndex( entvars_t *pevLookup );
 	int			EntityIndex( edict_t *pentLookup );
@@ -41,6 +41,10 @@
 	SAVERESTOREDATA		*m_pdata;
 	void		BufferRewind( int size );
 	unsigned int	HashString( const char *pszToken );
+private:
+	// effc++ rule 11
+	void		operator=(CSaveRestoreBuffer&);
+	CSaveRestoreBuffer(const CSaveRestoreBuffer&);
 };
 
 
@@ -82,7 +86,7 @@
 class CRestore : public CSaveRestoreBuffer
 {
 public:
-	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ) { m_global = 0; m_precache = TRUE; }
+	CRestore( SAVERESTOREDATA *pdata ) : CSaveRestoreBuffer( pdata ), m_global(0), m_precache(TRUE) { }
 	int		ReadEntVars( const char *pname, entvars_t *pev );		// entvars_t
 	int		ReadFields( const char *pname, void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount );
 	int		ReadField( void *pBaseData, TYPEDESCRIPTION *pFields, int fieldCount, int startField, int size, char *pName, void *pData );
@@ -162,6 +166,9 @@
 	globalentity_t	*Find( string_t globalname );
 	globalentity_t	*m_pList;
 	int				m_listCount;
+	// effc++ rule 11
+	void		operator=(CGlobalState&);
+	CGlobalState(const CGlobalState&);
 };
 
 extern CGlobalState gGlobalState;
--- ./SourceCode/engine/custom.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/custom.h	Thu Aug 30 22:51:54 2001
@@ -17,7 +17,9 @@
 #ifndef CUSTOM_H
 #define CUSTOM_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "const.h"
--- ./SourceCode/engine/edict.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/edict.h	Thu Aug 30 22:51:54 2001
@@ -1,7 +1,9 @@
 #if !defined EDICT_H
 #define EDICT_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 #define	MAX_ENT_LEAFS	48
 
--- ./SourceCode/engine/keydefs.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/keydefs.h	Thu Aug 30 22:51:54 2001
@@ -2,7 +2,9 @@
 #ifndef KEYDEFS_H
 #define KEYDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //
--- ./SourceCode/engine/progdefs.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/progdefs.h	Thu Aug 30 22:51:54 2001
@@ -15,7 +15,9 @@
 #ifndef PROGDEFS_H
 #define PROGDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -221,4 +223,4 @@
 } entvars_t;
 
 
-#endif // PROGDEFS_H
\ No newline at end of file
+#endif // PROGDEFS_H
--- ./SourceCode/engine/progs.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/progs.h	Thu Aug 30 22:52:40 2001
@@ -79,4 +79,4 @@
 
 #define PROG_TO_EDICT(e) ((edict_t *)((byte *)sv.edicts + e))
 
-#endif // PROGS_H
\ No newline at end of file
+#endif // PROGS_H
--- ./SourceCode/engine/eiface.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/engine/eiface.h	Thu Aug 30 22:53:06 2001
@@ -487,4 +487,4 @@
 typedef int	(*APIFUNCTION)( DLL_FUNCTIONS *pFunctionTable, int interfaceVersion );
 typedef int	(*APIFUNCTION2)( DLL_FUNCTIONS *pFunctionTable, int *interfaceVersion );
 
-#endif EIFACE_H
+#endif /* EIFACE_H */
--- ./SourceCode/game_shared/bitvec.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/bitvec.h	Thu Aug 30 23:07:44 2001
@@ -8,7 +8,9 @@
 #ifndef BITVEC_H
 #define BITVEC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_checkbutton2.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_checkbutton2.h	Thu Aug 30 23:08:06 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_CHECKBUTTON2_H
 #define VGUI_CHECKBUTTON2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_defaultinputsignal.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_defaultinputsignal.h	Thu Aug 30 23:08:22 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_DEFAULTINPUTSIGNAL_H
 #define VGUI_DEFAULTINPUTSIGNAL_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_grid.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_grid.h	Thu Aug 30 23:08:41 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_GRID_H
 #define VGUI_GRID_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_helpers.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_helpers.h	Thu Aug 30 23:09:12 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_HELPERS_H
 #define VGUI_HELPERS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_listbox.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_listbox.h	Thu Aug 30 23:09:36 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_LISTBOX_H
 #define VOICE_LISTBOX_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_loadtga.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_loadtga.h	Thu Aug 30 23:10:20 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_LOADTGA_H
 #define VGUI_LOADTGA_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/vgui_scrollbar2.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_scrollbar2.h	Thu Aug 30 23:10:25 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_SCROLLBAR2_H
 #define VGUI_SCROLLBAR2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
--- ./SourceCode/game_shared/vgui_slider2.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/vgui_slider2.h	Thu Aug 30 23:10:30 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_SLIDER2_H
 #define VGUI_SLIDER2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
--- ./SourceCode/game_shared/voice_banmgr.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/voice_banmgr.h	Thu Aug 30 23:10:36 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_BANMGR_H
 #define VOICE_BANMGR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/voice_common.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/voice_common.h	Thu Aug 30 23:10:43 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_COMMON_H
 #define VOICE_COMMON_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/game_shared/voice_gamemgr.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/voice_gamemgr.h	Thu Aug 30 23:10:49 2001
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_GAMEMGR_H
 #define VOICE_GAMEMGR_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "voice_common.h"
--- ./SourceCode/game_shared/voice_status.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/voice_status.h	Thu Aug 30 23:10:54 2001
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_STATUS_H
 #define VOICE_STATUS_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "VGUI_Label.h"
--- ./SourceCode/game_shared/voice_vgui_tweakdlg.h.orig	Wed Aug 29 01:05:24 2001
+++ ./SourceCode/game_shared/voice_vgui_tweakdlg.h	Thu Aug 30 23:11:02 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_VGUI_TWEAKDLG_H
 #define VOICE_VGUI_TWEAKDLG_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
--- ./SourceCode/pm_shared/pm_debug.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_debug.h	Thu Aug 30 23:11:12 2001
@@ -14,7 +14,11 @@
 ****/
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
--- ./SourceCode/pm_shared/pm_defs.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_defs.h	Thu Aug 30 23:11:18 2001
@@ -15,7 +15,11 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
--- ./SourceCode/pm_shared/pm_info.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_info.h	Thu Aug 30 23:11:27 2001
@@ -15,7 +15,11 @@
 // Physics info string definition
 #if !defined( PM_INFOH )
 #define PM_INFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define MAX_PHYSINFO_STRING 256
 
--- ./SourceCode/pm_shared/pm_materials.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_materials.h	Thu Aug 30 23:11:32 2001
@@ -14,7 +14,11 @@
 ****/
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
--- ./SourceCode/pm_shared/pm_shared.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_shared.h	Thu Aug 30 23:11:37 2001
@@ -18,7 +18,11 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
@@ -36,4 +40,4 @@
 #define OBS_ROAMING				3		
 #define OBS_DIRECTED			4
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/pm_shared/pm_movevars.h.orig	Wed Aug 29 01:05:26 2001
+++ ./SourceCode/pm_shared/pm_movevars.h	Thu Aug 30 22:53:06 2001
@@ -37,4 +37,4 @@
 
 extern movevars_t movevars;
 
-#endif
\ No newline at end of file
+#endif
--- ./SourceCode/utils/procinfo/procinfo.h.orig	Wed Aug 29 01:05:28 2001
+++ ./SourceCode/utils/procinfo/procinfo.h	Thu Aug 30 23:11:55 2001
@@ -1,6 +1,10 @@
 #if !defined ( PROCINFOH )
 #define PROCINFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 int		PROC_GetSpeed( void );
 int		PROC_IsMMX( void );
--- ./SourceCode/utils/serverctrl/ServerCtrl.h.orig	Wed Aug 29 01:05:28 2001
+++ ./SourceCode/utils/serverctrl/ServerCtrl.h	Thu Aug 30 23:12:20 2001
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrl_H__E2974CA6_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #ifndef __AFXWIN_H__
--- ./SourceCode/utils/serverctrl/ServerCtrlDlg.h.orig	Wed Aug 29 01:05:30 2001
+++ ./SourceCode/utils/serverctrl/ServerCtrlDlg.h	Thu Aug 30 23:13:05 2001
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrlDLG_H__E2974CA8_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 /////////////////////////////////////////////////////////////////////////////
--- ./SourceCode/utils/serverctrl/StdAfx.h.orig	Wed Aug 29 01:05:30 2001
+++ ./SourceCode/utils/serverctrl/StdAfx.h	Thu Aug 30 23:13:11 2001
@@ -7,7 +7,11 @@
 #define AFX_STDAFX_H__E2974CAA_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
